<?php
/**
 * install.php
 *
 * @package FontAwesome
 * @version 1.0.1
 * @author Lakituthequick <info@ltquick.nl>
 * @copyright Copyright (c) 2016, Lakituthequick
 * @license MIT
 */

if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF')) // Are we in SMF?
	require_once(dirname(__FILE__) . '/SSI.php');
elseif(!defined('SMF'))
if ((SMF == 'SSI') && !$user_info['is_admin']) // And an admin if so?
	die('You are not an Admin.');

$hooks = array(// Prepare the hooks
	'integrate_pre_include' => '$sourcedir/FontAwesomeBBCode.php',
	'integrate_load_theme' => 'faAddCSS',
	'integrate_bbc_codes' => 'faAddBBC',
	'integrate_general_mod_settings' => 'faModSettings'
);

if (!empty($context['uninstalling'])){// What are we doing?
	$call = 'remove_integration_function'; // D:
	$action = 'Uninstalling';
}else{
	$call = 'add_integration_function'; // :D
	$action = 'Installing';
}

foreach ($hooks as $hook => $function)// Then do that.
	$call($hook,$function);

if (SMF == 'SSI')
   echo $action.' was executed with success.';
?>